Gecode::Options::_I Class Reference

Helper class storing Gist inspectors. More...

`#include <driver.hh>`

## Public Member Functions

| _I (void)
| Constructor.
void | click (Gist::Inspector *i)
| Add inspector that reacts on node double clicks.
void | solution (Gist::Inspector *i)
| Add inspector that reacts on each new solution that is found.
void | move (Gist::Inspector *i)
| Add inspector that reacts on each move of the cursor.
void | compare (Gist::Comparator *i)
| Add comparator.
Gist::Inspector * | click (unsigned int i) const
| Return click inspector number i, or NULL if it does not exist.
Gist::Inspector * | solution (unsigned int i) const
| Return solution inspector number i, or NULL if it does not exist.
Gist::Inspector * | move (unsigned int i) const
| Return move inspector number i, or NULL if it does not exist.
Gist::Comparator * | compare (unsigned int i) const
| Return comparator number i, or NULL if it does not exist.

## Detailed Description

Helper class storing Gist inspectors.

Definition at line 625 of file driver.hh.

## Constructor & Destructor Documentation

## _I()

Gecode::Options::_I::_I | ( | void |  | ) |

inline

Constructor.

Definition at line 543 of file options.hpp.

## Member Function Documentation

## click() [1/2]

void Gecode::Options::_I::click | ( | Gist::Inspector * | i | ) |

inline

Add inspector that reacts on node double clicks.

Definition at line 548 of file options.hpp.

## solution() [1/2]

void Gecode::Options::_I::solution | ( | Gist::Inspector * | i | ) |

inline

Add inspector that reacts on each new solution that is found.

Definition at line 552 of file options.hpp.

## move() [1/2]

void Gecode::Options::_I::move | ( | Gist::Inspector * | i | ) |

inline

Add inspector that reacts on each move of the cursor.

Definition at line 556 of file options.hpp.

## compare() [1/2]

void Gecode::Options::_I::compare | ( | Gist::Comparator * | i | ) |

inline

Add comparator.

Definition at line 560 of file options.hpp.

## click() [2/2]

Gist::Inspector * Gecode::Options::_I::click | ( | unsigned int | i | ) | const

inline

Return click inspector number i, or NULL if it does not exist.

Definition at line 564 of file options.hpp.

## solution() [2/2]

Gist::Inspector * Gecode::Options::_I::solution | ( | unsigned int | i | ) | const

inline

Return solution inspector number i, or NULL if it does not exist.

Definition at line 568 of file options.hpp.

## move() [2/2]

Gist::Inspector * Gecode::Options::_I::move | ( | unsigned int | i | ) | const

inline

Return move inspector number i, or NULL if it does not exist.

Definition at line 572 of file options.hpp.

## compare() [2/2]

Gist::Comparator * Gecode::Options::_I::compare | ( | unsigned int | i | ) | const

inline

Return comparator number i, or NULL if it does not exist.

Definition at line 576 of file options.hpp.

The documentation for this class was generated from the following files:

- gecode/driver.hh
- gecode/driver/options.hpp